Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util
Class RethrownException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  ix.util.RethrownException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  RethrownIOException

    public class RethrownException

extends java.lang.RuntimeException

An unchecked exception used to wrap other Throwables when they're rethrown. Usually the wrapped Throwable is a checked exception that should not or could not be handled locally.

See Also:
  Serialized Form

Constructor Summary
`RethrownException(java.lang.String messagePrefix, java.lang.Throwable cause)` Constructs an exception with the specified cause and a message formed by concatenating the prefix, followed by a space, to the result of calling `Debug.describeException(Throwable)` on the cause.
`RethrownException(java.lang.Throwable cause)` Constructs an exception with a description of the cause as its message.
`RethrownException(java.lang.Throwable cause, java.lang.String message)` Constructs an exception with the specified cause and message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RethrownException

    public RethrownException(java.lang.Throwable cause)

  Constructs an exception with a description of the cause as its message.

  See Also:
    `Debug.describeException(Throwable)`

### RethrownException

    public RethrownException(java.lang.Throwable cause,
                             java.lang.String message)

  Constructs an exception with the specified cause and message. The message should be a description of the problem that does not require a separate look at the cause exception.

### RethrownException

    public RethrownException(java.lang.String messagePrefix,
                             java.lang.Throwable cause)

  Constructs an exception with the specified cause and a message formed by concatenating the prefix, followed by a space, to the result of calling `Debug.describeException(Throwable)` on the cause.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD